with Gtk.Window; use Gtk.Window;
with Gtk.Box; use Gtk.Box;
with Gtk.Notebook; use Gtk.Notebook;
with Gtk.Label; use Gtk.Label;
with Gtk.GEntry; use Gtk.GEntry;
with Glib.Unicode; use Glib.Unicode;
with Gtk.Radio_Button; use Gtk.Radio_Button;
with Gtk.Hbutton_Box; use Gtk.Hbutton_Box;
with Gtk.Button; use Gtk.Button;
with Gtk.Object; use Gtk.Object;
package Proof_Reading_Pkg is

   type Fuzzy_Boolean is (True, Maybe, False);

   type Proof_Reading_Record is new Gtk_Window_Record with record
      Vbox1 : Gtk_Vbox;
      Notebook1 : Gtk_Notebook;
      Vbox2 : Gtk_Vbox;
      Hbox1 : Gtk_Hbox;
      Label3 : Gtk_Label;
      Word : Gtk_Entry;
      Right : Gtk_Radio_Button;
      Dunno : Gtk_Radio_Button;
      Wrong : Gtk_Radio_Button;
      Label1 : Gtk_Label;
      Hbox2 : Gtk_Hbox;
      Label5 : Gtk_Label;
      Correction : Gtk_Entry;
      Label4 : Gtk_Label;
      Hbuttonbox1 : Gtk_Hbutton_Box;
      Button1 : Gtk_Button;
      Button2 : Gtk_Button;
      Button3 : Gtk_Button;
      Correct : Fuzzy_Boolean := Maybe;
   end record;
   type Proof_Reading_Access is access Proof_Reading_Record'Class;

   procedure Gtk_New (Proof_Reading : out Proof_Reading_Access);
   procedure Initialize (Proof_Reading : access Proof_Reading_Record'Class);

end Proof_Reading_Pkg;
